TF_SS Class Reference

Trapdoor Function (TF) Signature Scheme. More...

## Public Types

typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< ALG_INFO, KEYS, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

Trapdoor Function (TF) Signature Scheme.

Template Parameters

  STANDARD | standard
  H | hash function
  KEYS | keys used in the signature scheme
  ALG_INFO | algorithm information

Definition at line 2190 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h